package com.ftdi.util;
import java.io.IOException;
import java.util.Properties;


public class AppProperties {

	private static final AppProperties instance = new AppProperties();
	private final Properties props;	
	
	public static Properties getProperties() {
		return instance.props;
	}
	
	private AppProperties() {
		props = new Properties();
		try {
			props.load(props.getClass().getResourceAsStream("/app.properties"));
			props.putAll(System.getProperties());
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
	
}
